Last Comment Bug 653423 - Undo option is grayed out although action is applicable in Scratchpad
: Undo option is grayed out although action is applicable in Scratchpad
Status: VERIFIED FIXED
[scratchpad][fixed-in-aurora]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 7
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 07:12 PDT by George Carstoiu
Modified: 2011-08-19 07:09 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
revealing the workspace menu item (2.46 KB, patch)
2011-05-02 07:41 PDT, Erik Vold
no flags Details | Diff | Splinter Review
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem. (1.02 KB, patch)
2011-06-19 01:05 PDT, Teddy Ni
rcampbell: review+
gavin.sharp: review+
gavin.sharp: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description George Carstoiu 2011-04-28 07:12:47 PDT
Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110427 Firefox/6.0a1

Writing anything in the Workspaces window does not activate the Undo option from the Edit menu.

Reproducible: always

Steps to reproduce:
 1. Start Workspaces (F4)
 2. Write anything in the window
 3. Go to Edit->Undo

Actual results:
 - the Undo option is grayed out

Expected results:
 - after writing, the Undo button is active

Note:
 - although the button is not active, the shortcut can be used
Comment 1 Erik Vold 2011-05-02 07:41:31 PDT
Created attachment 529471 [details] [diff] [review]
revealing the workspace menu item
Comment 2 Erik Vold 2011-05-02 07:43:39 PDT
(In reply to comment #1)
> Created attachment 529471 [details] [diff] [review] [review]
> revealing the workspace menu item

sorry this is meant for bug 654023 .. I'm not sure how to remove it..
Comment 3 Rob Campbell [:rc] (:robcee) 2011-05-02 11:42:38 PDT
you can probably mark it obsolete and maybe change the patch name to something indicating "not what you want, go elsewhere".
Comment 4 Teddy Ni 2011-06-19 01:05:51 PDT
Created attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.
Comment 5 Rob Campbell [:rc] (:robcee) 2011-06-29 04:38:54 PDT
Comment on attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.

Nice!
Comment 6 Rob Campbell [:rc] (:robcee) 2011-06-29 05:20:02 PDT
Comment on attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.

Would like to get this onto Aurora. It's a small polish fix.
Comment 7 Rob Campbell [:rc] (:robcee) 2011-06-29 05:20:59 PDT
Comment on attachment 529471 [details] [diff] [review]
revealing the workspace menu item

patch doesn't apply to this bug. Marking obsolete to hide it from the list.
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-06-29 09:39:38 PDT
Comment on attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.

The ID change seems spurious, can you omit it?
Comment 9 Rob Campbell [:rc] (:robcee) 2011-07-28 05:29:09 PDT
Just found this bug in my list. Needs a checkin.

(In reply to comment #8)
> Comment on attachment 540297 [details] [diff] [review] [review]
> Easy change to enable Undo menuitem.
> 
> The ID change seems spurious, can you omit it?

I think that change was so the id would be more consistent with the rest of the menu items. I think we should keep it.
Comment 10 Rob Campbell [:rc] (:robcee) 2011-08-03 12:49:00 PDT
Comment on attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.

http://hg.mozilla.org/integration/fx-team/rev/11c3b74e18e7

http://hg.mozilla.org/releases/mozilla-aurora/rev/e259c21107fb
Comment 11 Rob Campbell [:rc] (:robcee) 2011-08-03 12:49:20 PDT
can we land this on beta too?
Comment 12 christian 2011-08-03 13:45:17 PDT
Does this have loc impact? Can add-ons be relying on that id? (likely not, but checking).

It is way, way late in the game to get it on beta...
Comment 13 Rob Campbell [:rc] (:robcee) 2011-08-03 21:19:02 PDT
they can rely on it from beta onwards.

It'd be nice to not have a greyed out undo menu item.
Comment 14 Tim Taubert [:ttaubert] 2011-08-04 05:16:17 PDT
http://hg.mozilla.org/mozilla-central/rev/11c3b74e18e7
Comment 15 christian 2011-08-04 14:31:21 PDT
Comment on attachment 540297 [details] [diff] [review]
[in-fx-team] [in-aurora] Easy change to enable Undo menuitem.

We'll take this on aurora and not beta.
Comment 16 Simona B [:simonab] 2011-08-19 07:09:31 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Verified issue on: Win XP, Win 7, Ubuntu 11.04 and Mac OS X 10.6 following the STR from the Description - issue is no longer reproducible.

Setting resolution to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.